Bug 132520 - No loopback route after initscripts update (to RHEL3 U3)
No loopback route after initscripts update (to RHEL3 U3)
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: initscripts (Show other bugs)
3.0
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-09-14 08:07 EDT by Robert Scheck
Modified: 2014-03-16 22:48 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-15 16:06:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2004-09-14 08:07:51 EDT
Description of problem:
After upgrade to RHEL3 U3 which includes initscripts-7.31.16.EL-1,
I don't get a loopback route any longer. I know, that kernel 2.6
doesn't need it, but at 2.4 this is really new to me - so I think
it is a problem, because at older initscripts (-9, -13) I get a
loopback route (with the same configuration!), at -16 not.

Version-Release number of selected component (if applicable):
initscripts-7.31.16.EL-1

Nevertheless our customer wants a loopback route at RHEL3 U3 per
default without manual reconfiguration (as he already had with 
U1 and U2)...

How reproducible:
Everytime, see below.

Steps to Reproduce:
# Here I get a loopback route...
1. rpm -Uvh --force initscripts-7.31.9.EL-1.i386.rpm
2. service network restart
3. route | grep lo

# ...and here also...
4. rpm -Uvh --force initscripts-7.31.13.EL-1.i386.rpm
5. service network restart
6. route | grep lo

# ...but here I DON'T get a loopback route
7. rpm -Uvh initscripts-7.31.16.EL-1.i386.rpm
8. service network restart
9. route | grep lo
  
Actual results:
No loopback route.

Expected results:
Loopback route.
Comment 1 Bill Nottingham 2004-09-14 12:26:36 EDT
It's not needed. Do you have something specific that is failing?
Comment 2 Robert Scheck 2004-09-15 16:06:38 EDT
Nope, not really.

But every documentation I can find on the Internet is telling, that 
I've got to have a loopback route, but it also works without. It 
seems that the Linux kernel has burned-in the loopback route also 
at version 2.4.

The other reason for opening this bug was, that I had my nerving 
customer's breathe down on my neck...

Maybe for others having the same "problem":

--- snipp RHEL U2 ---
# RHEL U2, old initscripts having a loopback route:
[root@rhel3 root]# netstat -in
Kernel Interface table
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0      24      0      0      0       4      0      0      0 BMRU
lo        16436   0       4      0      0      0       4      0      0      0 LRU
[root@rhel3 root]# ping localhost
PING rhel3 (127.0.0.1) 56(84) bytes of data.
64 bytes from rhel3 (127.0.0.1): icmp_seq=0 ttl=0 time=0.063 ms
64 bytes from rhel3 (127.0.0.1): icmp_seq=1 ttl=0 time=0.029 ms

--- rhel3 ping statistics ---
2 packets transmitted, 2 received, 0% packet loss, time 1016ms
rtt min/avg/max/mdev = 0.029/0.046/0.063/0.017 ms, pipe 2
[root@rhel3 root]# netstat -in
Kernel Interface table
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0      24      0      0      0       4      0      0      0 BMRU
lo        16436   0       8      0      0      0       8      0      0      0 LRU
[root@rhel3 root]#
--- snapp RHEL U2 ---

--- snipp RHEL U3 ---
# RHEL U3, new initscripts having no loopback route:
[root@rhel3 root]# netstat -in
Kernel Interface table
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0      67      0      0      0       7      0      0      0 BMRU
lo        16436   0       8      0      0      0       8      0      0      0 LRU
[root@rhel3 root]# ping localhost
PING rhel3 (127.0.0.1) 56(84) bytes of data.
64 bytes from rhel3 (127.0.0.1): icmp_seq=0 ttl=0 time=0.065 ms
64 bytes from rhel3 (127.0.0.1): icmp_seq=1 ttl=0 time=0.051 ms

--- rhel3 ping statistics ---
2 packets transmitted, 2 received, 0% packet loss, time 1016ms
rtt min/avg/max/mdev = 0.051/0.058/0.065/0.007 ms, pipe 2
[root@rhel3 root]# netstat -in
Kernel Interface table
Iface     MTU Met   RX-OK RX-ERR RX-DRP RX-OVR   TX-OK TX-ERR TX-DRP TX-OVR Flg
eth0       1500   0      67      0      0      0       7      0      0      0 BMRU
lo        16436   0      12      0      0      0      12      0      0      0 LRU
[root@rhel3 root]#
--- snapp RHEL U3 ---

Independent from the loopback route the corresponding packages to 
127.0.0.1 are always routed about the loopback device as showed 
above.

I'll close my bug report with notabug, but I'll also reopen it 
sooner as you can think, if I really get problems related with 
this... ;-)

Note You need to log in before you can comment on or make changes to this bug.